Endpoints related to Outbound Orders.
Add Outbound order
Create a new outbound order (sale order).
To perform this action, the API Client needs to have the “WMS Create Jobs” role.
If the customer is configured with the "Automatically Generate a Consignment from a Sale Order" setting, "Yes, on Sale Order Import or Pack Completion", then the API Client will also require the “TMS Create Jobs” role.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
External-Meta-KeyThe External-Meta-Key header allows to specify the desired external meta key and only data associated with the specified key will be returned. If no key is specified or the key does not contain data, then externalMeta will not be returned.
Users with VIEW_ALL_EXTERNAL_META permission can specify * to return all available external meta. Data in externalMeta will be keyed by the external meta key.
Add Outbound order › Request Body
Fields uniquely identifying Outbound order
Identifies a customer. When more than one identifying property is supplied, they are
checked in this order: id, references.code, then name.
typeCustom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
measuresstatusIdentifies a warehouse. When both id and name are supplied, id is used first.
name must match the warehouse name in CartonCloud exactly.
External Metadata by a specific External meta key
sourceSource information for the entity
Reference to the Parent Order that this Outbound Order belongs to. Parent Orders are not yet implemented and are only stored as UUIDs.
Details specific for the Outbound Task object
Add Outbound order › Responses
Order successfully added
idThe customer that this entity is associated with. null for tenant data not associated with a specific customer. A user's access maybe restricted to specific customers. Also null for multi-customer groups. Pick To Tote as example (although each individual group member has its own customer reference).
Billing invoice this entity is assigned to. Only present when the entity has an assigned invoice and the user has VIEW_CHARGES permission.
typeFields uniquely identifying Outbound order
Custom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
measuresstatusIdentifies a warehouse. When both id and name are supplied, id is used first.
name must match the warehouse name in CartonCloud exactly.
versionExternal Metadata by a specific External meta key
sourceSource information for the entity
Map of timestamp entries for various lifecycle events
Reference to the Parent Order that this Outbound Order belongs to. Parent Orders are not yet implemented and are only stored as UUIDs.
Details specific for the Outbound Task object
Search Outbound Orders
Search for previously created outbound orders (sale order).
Condition Fields
Prefer JsonField pointers. ValueField aliases remain supported but are deprecated where a JsonField pointer exists.
Custom property pointers (/properties/{name}) may also be searchable.
/invoice/id is available when charging information is visible to the caller.
Supported JsonField pointers
| Pointer | Description |
|---|---|
/assignee/id | Assignee ID |
/assignee/task/id | Wave pick / assignee task ID |
/customer/id | Customer ID |
/customer/name | Customer name |
/details/collect/requiredDate | Required collection date |
/details/deliver/address/address1 | Delivery address line 1 |
/details/deliver/address/city | Delivery address city |
/details/deliver/address/companyName | Delivery address company name |
/details/deliver/address/contactName | Delivery address contact name |
/details/deliver/address/postcode | Delivery address postcode |
/details/deliver/address/suburb | Delivery address suburb |
/details/expectedShipDate | Expected ship date |
/details/tote/references/barcode | Tote barcode |
/details/urgent | Is urgent order |
/group/id | Pick To Tote task id (not the order group for split orders) |
/id | Order ID |
/references/customer | Customer reference |
/references/numericId | Numeric ID |
/status | Status enum (e.g. DRAFT) |
/timestamps/created/time | Created (ISO 8601) |
/timestamps/dispatched/time | Dispatched (ISO 8601) |
/timestamps/modified/time | Modified (ISO 8601) |
/timestamps/packed/time | Packed (ISO 8601) |
/warehouse/id | Warehouse ID |
ValueField aliases (deprecated)
| ValueField | JsonField pointer |
|---|---|
createdDate | /timestamps/created/time |
customerId | /customer/id |
customerName | /customer/name |
reference | /references/customer |
references.numericId | /references/numericId |
path Parameters
tenantIdTenant ID. Can be found in organisation settings
query Parameters
pageThe page number to return results for
sizeThe number of elements per page. Default value may vary between endpoints
sortField name and sort order separated by a comma. {dot separated field name},{asc/desc}
nullHandlingHeaders
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
PreferWhen Prefer is applied, the Preference-Applied response header is returned.
| Value | Description |
|---|---|
| return=minimal | Switch the response into minimal representation (id only). |
| return=lifecycle | Switch the response into lifecycle representation. |
| return=search-representation | Switch the response into search representation. |
Search Outbound Orders › Request Body
And and Or conditions must be accompanied with internal conditions property that provides all the fields level conditions that the wrapper must be applied to. Note: The FreeTextSearch condition cannot be combined with other fields level conditions.
Search Outbound Orders › Responses
Success
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = array | |
| type = array | |
| type = array | |
| type = array |
idThe customer that this entity is associated with. null for tenant data not associated with a specific customer. A user's access maybe restricted to specific customers. Also null for multi-customer groups. Pick To Tote as example (although each individual group member has its own customer reference).
Billing invoice this entity is assigned to. Only present when the entity has an assigned invoice and the user has VIEW_CHARGES permission.
typeFields uniquely identifying Outbound order
Custom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
Contains information about size of the order and adhoc charges information
statusIdentifies a warehouse. When both id and name are supplied, id is used first.
name must match the warehouse name in CartonCloud exactly.
versionExternal Metadata by a specific External meta key
sourceSource information for the entity
Map of timestamp entries for various lifecycle events
If Outbound is part of Pick To Tote task, it's reference will be provided here
Details specific for the Outbound Task object
View Outbound Order
Retrieves a previously created outbound order (sale order).
To perform this action, the API Client needs to have the “WMS Create Job” role.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
orderIdOutbound Order Id
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
PreferWhen Prefer is applied, the Preference-Applied response header is returned.
| Value | Description |
|---|---|
| return=minimal | Switch the response into minimal representation (id only). |
| return=lifecycle | Switch the response into lifecycle representation. |
| return=search-representation | Switch the response into search representation. |
External-Meta-KeyThe External-Meta-Key header allows to specify the desired external meta key and only data associated with the specified key will be returned. If no key is specified or the key does not contain data, then externalMeta will not be returned.
Users with VIEW_ALL_EXTERNAL_META permission can specify * to return all available external meta. Data in externalMeta will be keyed by the external meta key.
View Outbound Order › Responses
Success. Response body depends on the Prefer request header (see parameter outboundPreferHeader): - Prefer: return=search-representation → OutboundOrder_SearchResult - Prefer: return=lifecycle → OutboundOrder_Lifecycle - Prefer: return=minimal → OutboundOrder_Reference - Prefer header omitted → OutboundOrder_Default
Decision Table
| Variant | Matching Criteria |
|---|---|
| type = object | |
| type = object | |
| type = object | |
| type = object |
idThe customer that this entity is associated with. null for tenant data not associated with a specific customer. A user's access maybe restricted to specific customers. Also null for multi-customer groups. Pick To Tote as example (although each individual group member has its own customer reference).
Billing invoice this entity is assigned to. Only present when the entity has an assigned invoice and the user has VIEW_CHARGES permission.
typeFields uniquely identifying Outbound order
Custom and other property values keyed by name.
Custom fields may exist or may be requested by the tenant.
- For Address, Shipment, Container, Consignment Data, Consignment Item, Vehicle, Customer, Driver, Sale Order, Purchase Order, or Transport Product, use the name in Mapped Field from the tenant.
- For Sale Order Product (SOP) custom fields, use
sop_custom_field_1,sop_custom_field_2, and so on. - For other entities such as Purchase Order Product and Product, use
custom_field_1,custom_field_2, and so on.
Contains information about size of the order and adhoc charges information
statusIdentifies a warehouse. When both id and name are supplied, id is used first.
name must match the warehouse name in CartonCloud exactly.
versionExternal Metadata by a specific External meta key
sourceSource information for the entity
Map of timestamp entries for various lifecycle events
If Outbound is part of Pick To Tote task, it's reference will be provided here
Details specific for the Outbound Task object
Delete an existing Outbound Order
Deletes an outbound order (sale order).
To perform this action, the API Client needs to have the “WMS Create Job” role.
Deletion is only allowed for certain Sale Order statuses, configurable via the organisation setting for Sale Order allowed edit/delete.
path Parameters
tenantIdTenant ID. Can be found in organisation settings
orderIdOutbound Order Id
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Delete an existing Outbound Order › Responses
Outbound order has been deleted